# Installation
> `npm install --save @types/react-loader`

# Summary
This package contains type definitions for react-loader (https://github.com/quickleft/react-loader).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-loader.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-loader/index.d.ts)
````ts
import { Component } from "react";

interface LoaderOptions {
    lines?: number | undefined;
    length?: number | undefined;
    width?: number | undefined;
    radius?: number | undefined;
    scale?: number | undefined;
    corners?: number | undefined;
    color?: string | undefined;
    opacity?: number | undefined;
    rotate?: number | undefined;
    direction?: number | undefined;
    speed?: number | undefined;
    trail?: number | undefined;
    fps?: number | undefined;
    zIndex?: number | undefined;
    top?: string | undefined;
    left?: string | undefined;
    shadow?: boolean | undefined;
    hwaccel?: boolean | undefined;
    position?: string | undefined;
    loadedClassName?: string | undefined;
}

interface LoaderProps extends LoaderOptions {
    loaded: boolean;
    options?: LoaderOptions | undefined;
    className?: string | undefined;
}

declare class ReactLoader extends Component<LoaderProps> {
}

declare namespace ReactLoader {
}

export = ReactLoader;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Sudarsan Balaji](https://github.com/artfuldev).
